/********************************************************************
*  Model Specification and Global Setting
*
********************************************************************/

dataselstr = "tauh029tauk035chi036";

msel = zeros(2,1);
subT    = 3;
mprior  = 1;

/************************************************
*  MSEL[1]:
*   1 with adjustment cost
*   2 without adjustment cost
************************************************/
msel[1] = 1;            
lmodel = "m" $+ ftos(msel[1],"%*.*lf",1,0);

/************************************************
*  MSEL[2]:
*    0 no taxes
*    1 full transfer (chi=1)
*    2 partial transfer (chi<1.0)
************************************************/
msel[2] = 2;   
lmodel = lmodel $+ ftos(msel[2],"%*.*lf",1,0);
   
/************************************************
*  subT
*
*     1 for 200 observations
*     2 for 1000
*     3 for 2500 (full sample)
*
************************************************/
   Tsim = 200 | 500 | 2500;

subTstr = "t" $+ ftos(subT,"%*.*lf",1,0);

/************************************************
*  mprior
************************************************/
lprior = "p" $+ ftos(mprior,"%*.*lf",1,0);

/************************************************
*  ngrid: number of grids for density
************************************************/
ngrid = 100;

/************************************************
*  titlestr: titles used for various graphs 
************************************************/
titlestr = "Ydata" $|
           "Edata" $|
           "Cdata" ;

/************************************************
*  nirf: number of impulse responses
************************************************/
nirf   = 40;           /* number of impulse responses */
nlags_ = 4;            /* not used for DSGE models */
