/******************************************************************************
* LOADDATA.G
* reads time series data from ASCII data set into Gauss variable YY
******************************************************************************/
datapath = datapath $+ "\\" $+ dataselstr;

// DO NOT RUN WITH ACTUAL DATA: MEASUREMENT EQUATION DOES NOT MATCH

if datasel > 0;
   load path = ^datapath Ydata[] = "Ydata.txt", 
                         Edata[] = "Edata.txt", 
                         Pdata[] = "Pdata.txt",
                         Cdata[] = "Cdata.txt", 
                         Wdata[] = "Wdata.txt",
                         Rdata[] = "Rdata.txt",
                         Ldata[] = "Ldata.txt";
   
   // Hours Worked
   Hdata = Edata/3;
   
   YY    = Ydata~Hdata~Cdata~Rdata~Pdata;

   if msel[1] > 0; /* DSGE Model, don't include obs to initialize lags */
      YYsub = YY[1001:(1000+Tsim[subT]),.];
   else; /* VAR: include obs to initialize lags */
      YYsub = YY[1001-nlags_:(1000+Tsim[subT]),.];
   endif;
      
   ti    = seqa(1,1,Tsim[subT]);
   YY    = ln(YYsub[.,1:3]);
   
   PP    = ln(YYsub[.,5]);   
   
else;

   load path = ^datapath YY[]= "YHC19642006.txt";
   /* in the US data set output is normalized to 1, and hours are not normalized
   ** in the simulated data output is 1.46 and hours is 0.2
   ** we recenter the actual observations accordingly
   */
   YY = reshape(YY,rows(YY)/3,3);
   YY[.,1 3] = YY[.,1 3] + ln(1.46);
   YY[.,2]   = YY[.,2] - meanc(YY[.,2]) + ln(0.6);
   ti = seqa(1964,0.25,rows(YY));
   T0 = 4;
   
   if msel[1] > 0; /* DSGE Model, don't include obs to initialize lags */
      YY = YY[T0+1:rows(YY),.];
   else; /* VAR: include obs to initialize lags */
      YY = YY[T0-nlags_+1:rows(YY),.];
   endif;   

   ti = ti[T0+1:rows(ti),.];   
endif;

"Descriptive Statistics";
"Mean   " meanc(YY)';
"Std Dev" stdc(YY)';
"-----------------------------------------";

