/********************************************************************
*  Prior, VAR and Data Specification and Global Setting
*
*  Last updated: 03:07 PM  15-Apr-2007
********************************************************************/

/*Setting up the values for hyperparameters for the Minnesota prior **/

tau     =   0.1;            /* overall tightness */ 
d       =   3.1;            /* scaling down the variance for the coefficients of a distant lag */ 
w       =   1;              /* number of observations used for obtaining the prior for the covariance matrix of error terms*/ 
lambda  =   2.3;            /* tuning parameter for coefficients for constant*/ 
mu      =   12.1;           /* tuning parameter for the covariance between coefficients*/ 

nvar_    = 3;               /* number of variables considered in the VAR */
nlags_   = 4;               /* number of lags   */


msel     = zeros(2,1);
subT     = 1;
datasel  = 1;
mprior   = 1;

/************************************************
*  DATASEL
*
*  0 US data
*  1-6 simulated data
*
************************************************/

if datasel == 1;
   dataselstr = "tauh029tauk035chi036";
elseif datasel == 2;
   dataselstr = "tauh022tauk035chi036";
elseif datasel == 3 ;
   dataselstr = "tauh029tauk047chi036";
elseif datasel == 4;
   dataselstr = "tauh029tauk035chi050";
elseif datasel == 5;
   dataselstr = "tauh0229tauk0443chi0224";
elseif datasel == 6;
   dataselstr = "tauh0269tauk0327chi0417";
elseif datasel == 0;
   dataselstr = "us";
endif;   


/************************************************
*  MSEL
************************************************/
lmodel = "vm" $+ ftos(msel[1],"%*.*lf",1,0) $+ ftos(msel[2],"%*.*lf",1,0);

/************************************************
*  subT used for simulated data
*
*     1 for 200 observations
*     2 for 1000
*     3 for 3500 (full sample)
*
************************************************/
   Tsim = 200 | 500 | 2500;

subTstr = "t" $+ ftos(subT,"%*.*lf",1,0);

/************************************************
*  Prior
************************************************/
lprior = "p" $+ ftos(mprior,"%*.*lf",1,0);
